package de.ozgcloud.apilib.common.callcontext;

import java.util.Collection;
import java.util.UUID;

import de.ozgcloud.apilib.user.OzgCloudUserId;
import lombok.Builder;
import lombok.Getter;
import lombok.Singular;

@Builder
@Getter
public class CallContext {

	private String clientName;
	private OzgCloudUserId userId;

	@Builder.Default
	private String requestId = UUID.randomUUID().toString();
	@Builder.Default
	private boolean accessLimited = false;
	@Singular
	private Collection<String> accessLimitedToOrgaIds;
}
